Bug 39153 - Update Port: archivers/fileroller -> 1.0.2
Summary: Update Port: archivers/fileroller -> 1.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-06-11 17:40 UTC by obraun
Modified: 2002-06-20 19:59 UTC (History)
0 users

See Also:


Attachments
file.diff (846 bytes, patch)
2002-06-11 17:40 UTC, obraun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description obraun 2002-06-11 17:40:02 UTC
Update archivers/fileroller from 1.0.1 to 1.0.2.

Regards,
         Olli
Comment 1 obraun 2002-06-14 10:37:53 UTC
New patch:

> Update archivers/fileroller from 1.0.1 to 1.0.2.
and replace ${PERL} with ${REINPLACE_CMD}.

Regards,
         Olli

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/archivers/fileroller/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	30 May 2002 18:03:22 -0000	1.2
+++ Makefile	14 Jun 2002 09:37:27 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	fileroller
-PORTVERSION=	1.0.1
+PORTVERSION=	1.0.2
 CATEGORIES=	archivers
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -26,7 +26,7 @@
 		LDFLAGS="-L${LOCALBASE}/lib"
 
 post-patch:
-	@${FIND} ${WRKSRC} -name "Makefile.in*" | ${XARGS} ${PERL} -pi -e \
+	@${FIND} ${WRKSRC} -name "Makefile.in*" | ${XARGS} ${REINPLACE_CMD} -e \
 		's|\$$\(datadir\)/gnome/apps|\$$\(datadir\)/apps|g ; \
 		 s|\$$\(datadir\)/locale|\$$\(prefix\)/share/locale|g'
 
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/archivers/fileroller/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- distinfo	18 May 2002 21:52:55 -0000	1.1
+++ distinfo	14 Jun 2002 09:37:27 -0000
@@ -1 +1 @@
-MD5 (file-roller-1.0.1.tar.gz) = 36b9c9258809cdc1b50121e98cbd2187
+MD5 (file-roller-1.0.2.tar.gz) = bf4bf5cbcc89fb34cfe0f6059256ac31
Comment 2 obraun 2002-06-20 12:16:11 UTC
add USE_REINPLACE and fix RE.

Regards,
         Olli

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/archivers/fileroller/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	30 May 2002 18:03:22 -0000	1.2
+++ Makefile	20 Jun 2002 11:15:12 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	fileroller
-PORTVERSION=	1.0.1
+PORTVERSION=	1.0.2
 CATEGORIES=	archivers
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -19,6 +19,7 @@
 		rar:${PORTSDIR}/archivers/rar \
 		lzop:${PORTSDIR}/archivers/lzop
 
+USE_REINPLACE=	yes
 USE_X_PREFIX=	yes
 USE_GNOME=	yes
 GNU_CONFIGURE=	yes
@@ -26,9 +27,9 @@
 		LDFLAGS="-L${LOCALBASE}/lib"
 
 post-patch:
-	@${FIND} ${WRKSRC} -name "Makefile.in*" | ${XARGS} ${PERL} -pi -e \
-		's|\$$\(datadir\)/gnome/apps|\$$\(datadir\)/apps|g ; \
-		 s|\$$\(datadir\)/locale|\$$\(prefix\)/share/locale|g'
+	@${FIND} ${WRKSRC} -name "Makefile.in*" | ${XARGS} ${REINPLACE_CMD} -e \
+		's|\$$(datadir)/gnome/apps|\$$(datadir)/apps|g ; \
+		 s|\$$(datadir)/locale|\$$(prefix)/share/locale|g'
 
 post-install:
 .if !defined(NOPORTDOCS)
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/archivers/fileroller/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- distinfo	18 May 2002 21:52:55 -0000	1.1
+++ distinfo	20 Jun 2002 11:15:12 -0000
@@ -1 +1 @@
-MD5 (file-roller-1.0.1.tar.gz) = 36b9c9258809cdc1b50121e98cbd2187
+MD5 (file-roller-1.0.2.tar.gz) = bf4bf5cbcc89fb34cfe0f6059256ac31
Comment 3 Ying-Chieh Liao freebsd_committer 2002-06-20 19:59:18 UTC
State Changed
From-To: open->closed

committed, thanks